
Redmine - Defect #7498

childrenHash is not initialized preventing startup in some cases

2011-01-31 13:52 - Pierre-Yves Ritschard

Status: Closed Start date: 2011-01-31

Priority: High Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

On a new redmine installation, some scenari prevent redmine from starting altogether if childrenHash is not initialized.

The attached one-liner fixes the issue

History

#1 - 2011-02-12 10:25 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

- Resolution deleted (Fixed)

It shouldn't happen, TreeNode#initialize method is called since it's aliases to old_initilize method in lib/redmine/menu_manager.rb.

Could you give us the informations requested at SubmittingBugs and/or minimal steps to reproduce. And also, if you can, check you don't have a

"rubytree" gem in your system gems ?

Thanks

#2 - 2011-06-13 00:04 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Invalid

No interest in this issue, I guess it's solved.

#3 - 2011-10-25 12:47 - George Santoro

SPAM

Files

patch 514 Bytes 2011-01-31 Pierre-Yves Ritschard
